Loading...
Searching...
No Matches
volk_machine_defs.py File Reference

## Data Structures

class | volk_machine_defs.machine_class

## Namespaces

namespace | volk_machine_defs

## Functions

| volk_machine_defs.register_machine (name, archs)

## Variables

| volk_machine_defs.machines = list()
| volk_machine_defs.machine_dict = dict()
| volk_machine_defs.gendir = os.path.dirname(__file__)
| volk_machine_defs.machines_xml = minidom.parse(os.path.join(gendir, 'machines.xml')).getElementsByTagName('machine')
| volk_machine_defs.kwargs = dict()
| volk_machine_defs.name = node.tagName
| volk_machine_defs.val = machine_xml.getElementsByTagName(name)[0].firstChild.data